Skip to content
English

Set new authmgr configuration

PUT
/system/mconf/authmgr
curl --request PUT \
--url https://example.com/api/v1/system/mconf/authmgr \
--header 'Content-Type: application/json' \
--cookie grommunioAuthJwt=<grommunioAuthJwt> \
--data '{ "authBackendSelection": "always_mysql" }'
X-Csrf-Token
string

CSRF Token

Media typeapplication/json
object
authBackendSelection
string
Allowed values: always_mysql always_ldap externid

Authmgr configuration updated

Validation of input parameters failed

Media typeapplication/json
object
message
string
errors

List of errors encountered during validation

Array<string>
Examplegenerated
{
"message": "example",
"errors": [
"example"
]
}

An error occurred while processing the request

Media typeapplication/json
object
message

String representation of the exception

string
Examplegenerated
{
"message": "example"
}

One of the required external services is unavailable

Media typeapplication/json
object
message

Description of the error

string
Examplegenerated
{
"message": "example"
}